*-----------------------------------------------------------------------
      subroutine nxvpnx(ncdfid,cvname,istart,icount,values)

      integer   istart(*),icount(*)
      real      values(*)
      character cvname*(*)


      nvarid=ncvid(ncdfid,cvname,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvpnx','error in ncvid.')

      call ncvpt(ncdfid,nvarid,istart,icount,values,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvpnx','error in ncvpt.')

      end
